Bug 2808 - Bad advice/install code in "make install"
Bad advice/install code in "make install"
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.9
All All
: P3 minor
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-17 15:09 UTC by David S. Collier-Brown
Modified: 2005-08-24 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David S. Collier-Brown 2005-06-17 15:09:20 UTC
The makefile says:
1) The SWAT files have been installed. Remember to read the swat/README
   for information on enabling and using SWAT

   Of course, there is no longer an <anywhere>/swat/README

2) Installing default man pages in /usr/local/samba/man/
   cp: cannot access
/export/home/davecb/projects/samba/samba-trunk/source/../docs/manpages/./*1
   chmod: WARNING: can't access /usr/local/samba/man/./man1/*1

   As it happens, the docs are not part of samba-trunk, 
   but instead are on svn.samba.org as 'samba-docs', and include
   the man pages. The latter seems excessive: however expert
   one might be, not reading man pages (or not having them
   to read) is A Bad Thing (:-))
Comment 1 Tim Potter 2005-06-20 14:56:45 UTC
I've fixed the first issue - easy.

I'm not so sure how to fix the second one portably though.  )-:
Comment 2 Gerald (Jerry) Carter 2005-06-27 06:19:30 UTC
Updated installman.sh to skip manpages 
when they aren't there.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:20:55 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.